--- a/src/libs/CMakeLists.txt
+++ b/src/libs/CMakeLists.txt
@@ -84,11 +84,14 @@
 add_library(timeline MODULE "tools/timeline.c")
 add_library(image_infos MODULE "tools/image_infos.c")
 
+if (USE_PORTMIDI)
 find_path(PORTMIDI_INCLUDE_DIR NAMES portmidi.h
           DOC "The Portmidi include directory"
+	  REQUIRED
 )
 find_library(PORTMIDI_LIBRARY NAMES portmidi
           DOC "The Portmidi library"
+	  REQUIRED
 )
 if(PORTMIDI_INCLUDE_DIR)
   add_definitions("-DHAVE_PORTMIDI")
@@ -97,8 +100,10 @@
   add_library(midi MODULE "tools/midi.c")
   target_link_libraries (midi ${PORTMIDI_LIBRARY})
 endif()
+endif()
 
-find_package(SDL2)
+if (USE_SDL2)
+find_package(SDL2 REQUIRED)
 if(SDL2_FOUND)
   add_definitions("-DHAVE_SDL")
   set(MODULES ${MODULES} gamepad)
@@ -110,6 +115,7 @@
     target_link_libraries(gamepad ${SDL2_LIBRARIES})
   endif()
 endif()
+endif()
 
 if(BUILD_BATTERY_INDICATOR)
   add_library(battery_indicator MODULE "tools/battery_indicator.c")
